spring:
  application:
    name: tosantechno-archetype-java
  datasource:
    url: ${db.jdbc-url}
    driver-class-name: ${db.driver-class}
    username: ${db.user}
    password: ${db.password}
    hikari:
      username: ${db.user}
      password: ${db.password}
      driver-class-name: ${db.driver-class}
      jdbc-url: ${db.jdbc-url}
    xa:
      data-source-class-name: ${db.datasource-class}
      properties:
        pinGlobalTxToPhysicalConnection: true
  jpa:
    show-sql: true
    hibernate:
      ddl-auto: none
    properties:
      hibernate:
        dialect: ${db.dialect-class}
        default_schema: ${db.schema}
        show_sql: true
        format_sql: true
        temp:
          use_jdbc_metadata_defaults: false
  profiles:
    active: develop

info:
  app:
    version: '@project.version@'



server:
  port: 9090


management:
  security:
    enabled: false
    
security:
  basic:
    enable: false
  ignored: /**   


resource:
  bundle: 
    classpath: classpath:base_exception_messages, classpath:common_messages, classpath:common_validation_messages, classpath:common_exception_messages
        
        
